AIXBT Docs
REST APIReference

List available recipes

GET
/v2/recipes

Returns a list of all curated AIXBT recipes available in the registry.

Response Body

application/json

application/json

curl -X GET "https://example.com/v2/recipes"
{
  "status": 200,
  "data": [
    {
      "name": "string",
      "version": "string",
      "description": "string",
      "paramCount": 0,
      "estimatedTokens": 0
    }
  ]
}
{
  "error": "string",
  "message": "string",
  "code": "string",
  "status": 0,
  "data": null,
  "meta": {},
  "details": {},
  "pagination": {
    "page": 1,
    "limit": 1,
    "totalCount": 0,
    "hasMore": true
  },
  "limitType": "minute",
  "retryAfterMs": 0,
  "limits": {
    "minute": {
      "limit": 0,
      "remaining": 0,
      "resetAt": "2019-08-24T14:15:22Z"
    },
    "day": {
      "limit": 0,
      "remaining": 0,
      "resetAt": "2019-08-24T14:15:22Z"
    }
  },
  "issues": [
    {
      "path": "string",
      "message": "string"
    }
  ]
}